package com.njcn.prepare.harmonic.service.mysql.line;

import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;
import com.njcn.prepare.harmonic.pojo.param.LineParam;

import java.util.List;

/**
 * @author xiaoyao
 * @version 1.0.0
 * @createTime 2022/10/26 13:37
 */
public interface LimitTargetService {

    void getLimitTargetData(LineParam lineParam);

    void limitTargetData(List<String> indexLists,String startTime,String endTime);

    void limitTargetData(CalculatedParam calculatedParam);
}
